Page MenuHomePhabricator

timeline extension is missing @covers tags
Closed, ResolvedPublic

Description

PHPCS has identified that some of the timeline PHPUnit tests are missing @covers tags. Those tags
are necessary for PHPUnit to accurately calculate test coverage.

See the PHPUnit documentation for how to use it.

Once the tags have been added, the MissingCovers sniff should be re-enabled in .phpcs.xml.

Details

Related Gerrit Patches:
mediawiki/extensions/timeline : masterAdd @covers to unit test

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 1:53 AM
Vvjjkkii renamed this task from timeline extension is missing @covers tags to xlcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from xlcaaaaaaa to timeline extension is missing @covers tags.Jul 1 2018, 4:58 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

Change 455122 had a related patch set uploaded (by Legoktm; owner: Umherirrender):
[mediawiki/extensions/timeline@master] Add @covers to unit test

https://gerrit.wikimedia.org/r/455122

Change 455122 merged by jenkins-bot:
[mediawiki/extensions/timeline@master] Add @covers to unit test

https://gerrit.wikimedia.org/r/455122

Legoktm closed this task as Resolved.Aug 25 2018, 6:22 AM
Legoktm assigned this task to Umherirrender.